/* XXL devices (very large screens, 1400px and up) */
@media (min-width: 1400px) {
    .app-download-btn .btn-download {
    padding: 0.5rem 1.5rem;
    display: block;
}
}

/* Extra large devices (large desktops, 1200px to 1399.98px) */
@media (min-width: 1200px) and (max-width: 1399.98px) {
}

/* Large devices (desktops, 992px to 1199.98px) */
@media (min-width: 992px) and (max-width: 1199.98px) {
  .footer::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: auto !important;
    height: 100px;
    background-color: var(--white);
    border-radius: 0 0 50% 50% / 0 0 100% 100%;
    transform: scaleX(1.5);
  }
.mx-5 {
    margin-right: 0rem!important;
    margin-left: 0rem!important;
}

  .footer {
    background-color: var(--dark-color);
    color: var(--white);
    padding: 0rem 15px 0;
    position: relative;
}

.app-download-btn .btn-download {
    padding: 0.5rem 1.5rem;
    display: none;
}
.phone-mockup {
    position: relative;
    width: 150px;
    height: 300px;
    background: #000;
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0 20px 40px rgba(0, 0, 0, 0.4);
    transform: rotateX(10deg) rotateY(0deg) translateZ(0);
    transition: transform 0.3s;
}

.my-download-collection .phone-mockup:nth-child(3) {
    transform: rotateY(-30deg) translateZ(-20px) rotateX(10deg);
    margin-top: 0;
}


.navbar-expand-lg .navbar-nav {
    flex-direction: row;
    flex-wrap: wrap;
}



.my-download-collection .phone-mockup {
    position: relative;
    width: 150px;
    height: 300px;
    background: #000;
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0 20px 40px rgba(0, 0, 0, 0.4);
}
.my-download-collection .phone-mockup:nth-child(1) {
    transform: rotateY(30deg) translateZ(-10px) rotateX(10deg);
    margin-top: 0;
}

  .mock-container {
    display: flex;
    gap: 10px;
    transform-style: preserve-3d;
}
}

/* Medium devices (tablets, 768px to 991.98px) */
@media (min-width: 768px) and (max-width: 991.98px) {
  .footer::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: auto;
    height: 100px;
    background-color: var(--white);
    border-radius: 0 0 50% 50% / 0 0 100% 100%;
    transform: scaleX(1.5);
  }
.my-download-collection .phone-mockup {
    position: relative;
    width: 150px;
    height: 300px;
    background: #000;
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0 20px 40px rgba(0, 0, 0, 0.4);
}
.my-download-collection .phone-mockup:nth-child(1) {
    transform: rotateY(30deg) translateZ(-10px) rotateX(10deg);
    margin-top: 0;
}

  .footer {
    background-color: var(--dark-color);
    color: var(--white);
    padding: 0rem 20px 0;
    position: relative;
}
  .hero-curve {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 65px;
    background-color: var(--light-color);
    border-radius: 50% 50% 0 0 / 100% 100% 0 0;
    transform: scaleX(1.5);
    z-index: 2;
  }

  .about-images {
    max-height: 400px;
    margin-bottom: 3rem;
    max-width: 70%;
    margin: 0 auto;
  }
  .section {
    padding: 50px 0;
  }
  .footer::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: auto;
    height: 100px;
    background-color: var(--white);
    border-radius: 0 0 50% 50% / 0 0 100% 100%;
    transform: scaleX(1.5);
  }

  .contact-info {
    background-color: var(--light-color);
    border-radius: 15px;
    padding: 2.5rem;
    height: auto;
    margin-bottom: 30px;
  }

  .contact-form {
    background-color: var(--light-color);
    border-radius: 15px;
    padding: 2rem;
    margin-bottom: 40px;
  }

  .my-download-collection {
    display: flex;
    gap: 0px;
    transform-style: preserve-3d;
    margin-bottom: 30px;
  }

  .section-header p {
    max-width: 700px;
    margin: 10px auto;
  }
  .sasa {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    background-color: #ffffff00;
    perspective: 1000px;
  }

  .about-features {
    margin: 2rem 0 0;
  }

  .section-header {
    margin-bottom: 0rem;
    text-align: center;
    display: flex;
    flex-direction: column;
  }

  .mx-5 {
    margin-right: 1rem !important;
    margin-left: 1rem !important;
  }
  .navbar-toggler {
    border: none;
    padding: 0.5rem;
    font-size: 1.5rem;
    color: #f29200;
    border: 2px solid #26910f;
  }
}

/* Small devices (phones, 576px to 767.98px) */
@media (min-width: 576px) and (max-width: 767.98px) {
  .navbar-brand .logo {
    height: 45px;
    transition: all 0.3s ease;
  }
  .header.scrolled .navbar-brand .logo {
    height: 45px;
  }
  .hero-curve {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 50px;
    background-color: var(--light-color);
    border-radius: 50% 50% 0 0 / 100% 100% 0 0;
    transform: scaleX(1.5);
    z-index: 2;
  }
  .hero-section {
    padding: 6rem 0 10rem;
  }
  .btn-app-store,
  .btn-play-store {
    width: fit-content !important;
    justify-content: center;
  }

  .app-buttons {
    display: flex;
    gap: 1rem;
    margin-bottom: 2rem;
    position: relative;
    z-index: 2;
    flex-direction: row !important;
  }

  .header.scrolled {
    padding: 0.25rem 0;
  }

  .mx-5 {
    margin-right: 0.5rem !important;
    margin-left: 0.5rem !important;
  }

  .footer::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: auto !important;
    height: 100px;
    background-color: var(--white);
    border-radius: 0 0 50% 50% / 0 0 100% 100%;
    transform: scaleX(1.5);
  }

  .mock-container {
    display: flex;
    gap: 40px;
    transform-style: preserve-3d;
    flex-direction: column;
  }

  .my-download-collection {
    display: flex;
    gap: 0px;
    transform-style: preserve-3d;
    flex-direction: column;
  }

  .navbar-toggler {
    border: none;
    padding: 0.5rem;
    font-size: 1.5rem;
    color: #f29200;
    border: 2px solid #26910f;
  }

  .about-images {
    height: 220px;
  }
  .section {
    padding: 40px 0 30px;
  }
  .mock-container {
    display: flex;
    margin: 30px auto;
    gap: 40px;
    transform-style: preserve-3d;
    flex-direction: column;
  }

  .screen-swiper {
    padding: 1rem 0;
    position: relative;
  }

  .footer {
    background-color: var(--dark-color);
    color: var(--white);
    padding: 0rem 15px 0px;
    position: relative;
  }

  .aqaq {
    display: flex;
    justify-content: center;
    align-items: center;
    /* height: 100vh; */
    margin: 0px auto 30px;
    background-color: #ffffff00;
    perspective: 1000px;
  }

  .contact-info {
    background-color: var(--light-color);
    border-radius: 15px;
    padding: 1rem;
    height: auto;
    margin-bottom: 30px;
  }

  .contact-form {
    background-color: var(--light-color);
    border-radius: 15px;
    padding: 1.5rem;
    margin-bottom: 30px;
  }

  .screen-swiper .swiper-slide img {
    max-height: 350px;
    border-radius: 20px;
    border: 7px solid black;
    box-shadow: 0 15px 40px rgba(0, 0, 0, 0.2);
    transition: var(--transition);
  }
  .section-header p {
    max-width: 700px;
    margin: 0px auto 10px;
  }

  .mock-container .screen .phone-mockup {
    display: none;
  }

  .section-header {
    margin-bottom: 0rem;
    text-align: center;
    display: flex;
    flex-direction: column;
  }
}

/* Extra small devices (phones, less than 576px) */
@media (max-width: 575.98px) {
  .navbar-brand .logo {
    height: 45px;
    transition: all 0.3s ease;
  }
  .header.scrolled .navbar-brand .logo {
    height: 45px;
  }
  .hero-curve {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 50px;
    background-color: var(--light-color);
    border-radius: 50% 50% 0 0 / 100% 100% 0 0;
    transform: scaleX(1.5);
    z-index: 2;
  }
  .hero-section {
    padding: 6rem 0 10rem;
  }
  .btn-app-store,
  .btn-play-store {
    width: fit-content !important;
    justify-content: center;
  }

  .app-buttons {
    display: flex;
    gap: 1rem;
    margin-bottom: 2rem;
    position: relative;
    z-index: 2;
    flex-direction: row !important;
  }

  .header.scrolled {
    padding: 0.25rem 0;
  }

  .mx-5 {
    margin-right: 0.5rem !important;
    margin-left: 0.5rem !important;
  }

  .footer::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: auto !important;
    height: 100px;
    background-color: var(--white);
    border-radius: 0 0 50% 50% / 0 0 100% 100%;
    transform: scaleX(1.5);
  }

  .mock-container {
    display: flex;
    gap: 40px;
    transform-style: preserve-3d;
    flex-direction: column;
  }

  .my-download-collection {
    display: flex;
    gap: 0px;
    transform-style: preserve-3d;
    flex-direction: column;
  }

  .navbar-toggler {
    border: none;
    padding: 0.5rem;
    font-size: 1.5rem;
    color: #f29200;
    border: 2px solid #26910f;
  }

  .about-images {
    height: 220px;
  }
  .section {
    padding: 40px 0 30px;
  }
  .mock-container {
    display: flex;
    margin: 30px auto;
    gap: 40px;
    transform-style: preserve-3d;
    flex-direction: column;
  }

  .screen-swiper {
    padding: 1rem 0;
    position: relative;
  }

  .footer {
    background-color: var(--dark-color);
    color: var(--white);
    padding: 0rem 15px 0px;
    position: relative;
  }

  .aqaq {
    display: flex;
    justify-content: center;
    align-items: center;
    /* height: 100vh; */
    margin: 0px auto 30px;
    background-color: #ffffff00;
    perspective: 1000px;
  }

  .contact-info {
    background-color: var(--light-color);
    border-radius: 15px;
    padding: 1rem;
    height: auto;
    margin-bottom: 30px;
  }

  .contact-form {
    background-color: var(--light-color);
    border-radius: 15px;
    padding: 1.5rem;
    margin-bottom: 30px;
  }

  .screen-swiper .swiper-slide img {
    max-height: 350px;
    border-radius: 20px;
    border: 7px solid black;
    box-shadow: 0 15px 40px rgba(0, 0, 0, 0.2);
    transition: var(--transition);
  }
  .section-header p {
    max-width: 700px;
    margin: 0px auto 10px;
  }

  .mock-container .screen .phone-mockup {
    display: none;
  }

  .section-header {
    margin-bottom: 0rem;
    text-align: center;
    display: flex;
    flex-direction: column;
  }
}
